<script setup>
import HelloWorld from './components/HelloWorld.vue'
import TheWelcome from './components/TheWelcome.vue'
import {getApiStatus} from './services/api.js';
</script>

<template>
  <header>
    <img alt="Vue logo" class="logo" src="./assets/logo.svg" width="125" height="125" />
  </header>

  <pre>
    {{status}}
    {{ isLoading }}
    {{ error }}
  </pre>
</template>

<script>
export default {
  data() {
    return {
      isLoading: false,
      status: null,
      error: null
    };
  },
  methods: {
    async loadStatus() {
      this.isLoading = true;
      try {
        const result = await getApiStatus();
        this.status = result.status;
      }
      catch (e) {
        console.error(e);
        this.error = 'Произошла проблема с загрузкой данных, попробуйте обновить страницу';
      }
      this.isLoading = false;
    }
  },
  mounted() {
    this.loadStatus();
  }
}
</script>

<style scoped>
header {
  line-height: 1.5;
}

.logo {
  display: block;
  margin: 0 auto 2rem;
}

@media (min-width: 1024px) {
  header {
    display: flex;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  .logo {
    margin: 0 2rem 0 0;
  }

  header .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }
}
</style>
